import com.imsl.chart.*;
import java.awt.Color;

public class SampleAxisTitleFormatted extends JFrameChart {
    
    public SampleAxisTitleFormatted() {
        Chart chart = getChart();
        AxisXY axis = new AxisXY(chart);
        double y[] = {4, 2, 3, 9};
        new Data(axis, y);
        
        axis.setFontName("Serif");
        
        axis.getAxisX().setTextColor(Color.blue);
        axis.getAxisX().getAxisTitle().setTitle("The X Axis");
        
        axis.getAxisY().setTextColor(Color.darkGray);
        axis.getAxisY().getAxisTitle().setTitle("The Y Axis");
        axis.getAxisY().getAxisTitle().setTextAngle(-90);
        axis.getAxisY().getAxisTitle().setFontSize(20);
    }
    
    public static void main(String argv[]) {
        new SampleAxisTitleFormatted().setVisible(true);
    }
}
